import PropTypes from 'prop-types';
import Checkbox from '../../../Checkbox/index.js';
import InlineButton from '../../../InlineButton/index.js';
import PickerSlider from '../../../PickerSlider/index.js';
import Radio from '../../../Radio/index.js';
import Select from '../../../Select/index.js';
import Stepper from '../../../Stepper/index.js';
import Switch from '../../../Switch/index.js';
import { DISPLAYS, FIELDS } from '../../index.js';
import { jsx as _jsx } from "react/jsx-runtime";

var PickerField = function PickerField(_ref) {
  var field = _ref.field,
      tabIndex = _ref.tabIndex,
      onChange = _ref.onChange,
      onFocus = _ref.onFocus,
      onBlur = _ref.onBlur,
      errors = _ref.errors,
      alerts = _ref.alerts,
      renderer = _ref.renderer;

  if (field.display === DISPLAYS[FIELDS.PICKER].SWITCH) {
    return /*#__PURE__*/_jsx(Switch, {
      switchField: field,
      onChange: onChange,
      onFocus: onFocus,
      onBlur: onBlur,
      tabIndex: tabIndex,
      errors: errors,
      alerts: alerts,
      renderer: renderer
    });
  } else if (field.display === DISPLAYS[FIELDS.PICKER].AUTOCOMPLETE || field.display === DISPLAYS[FIELDS.PICKER].DROPDOWN) {
    return /*#__PURE__*/_jsx(Select, {
      select: field,
      onChange: onChange,
      onFocus: onFocus,
      onBlur: onBlur,
      tabIndex: tabIndex,
      errors: errors,
      alerts: alerts,
      renderer: renderer
    });
  } else if (field.display === DISPLAYS[FIELDS.PICKER].RADIO) {
    return /*#__PURE__*/_jsx(Radio, {
      radio: field,
      onChange: onChange,
      onFocus: onFocus,
      onBlur: onBlur,
      tabIndex: tabIndex,
      errors: errors,
      alerts: alerts,
      renderer: renderer
    });
  } else if (field.display === DISPLAYS[FIELDS.PICKER].CHECKBOX) {
    return /*#__PURE__*/_jsx(Checkbox, {
      checkbox: field,
      onChange: onChange,
      onFocus: onFocus,
      onBlur: onBlur,
      tabIndex: tabIndex,
      errors: errors,
      alerts: alerts,
      renderer: renderer
    });
  } else if (field.display === DISPLAYS[FIELDS.PICKER].BUTTON_INLINE) {
    return /*#__PURE__*/_jsx(InlineButton, {
      inlineButton: field,
      onChange: onChange,
      onFocus: onFocus,
      onBlur: onBlur,
      tabIndex: tabIndex,
      errors: errors,
      alerts: alerts,
      renderer: renderer
    });
  } else if (field.display === DISPLAYS[FIELDS.PICKER].STEPPER) {
    return /*#__PURE__*/_jsx(Stepper, {
      stepper: field,
      onChange: onChange,
      onFocus: onFocus,
      onBlur: onBlur,
      tabIndex: tabIndex,
      errors: errors,
      alerts: alerts,
      renderer: renderer
    });
  } else if (field.display === DISPLAYS[FIELDS.PICKER].SLIDER) {
    return /*#__PURE__*/_jsx(PickerSlider, {
      slider: field,
      onChange: onChange,
      onFocus: onFocus,
      onBlur: onBlur,
      tabIndex: tabIndex,
      errors: errors,
      alerts: alerts,
      renderer: renderer
    });
  } else {
    // TODO: should be removed (backwards compatibility)
    return /*#__PURE__*/_jsx(Select, {
      select: field,
      onChange: onChange,
      onFocus: onFocus,
      onBlur: onBlur,
      tabIndex: tabIndex,
      errors: errors,
      alerts: alerts,
      renderer: renderer
    });
  }
};

export default PickerField;